"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _CmafPackageCreateOrUpdateParameters_1 = require("./_CmafPackageCreateOrUpdateParameters");
var _DashPackage_1 = require("./_DashPackage");
var _HlsPackage_1 = require("./_HlsPackage");
var _MssPackage_1 = require("./_MssPackage");
var ___listOf__string_1 = require("./___listOf__string");
exports.UpdateOriginEndpointInput = {
    type: "structure",
    required: ["Id"],
    members: {
        CmafPackage: {
            shape: _CmafPackageCreateOrUpdateParameters_1._CmafPackageCreateOrUpdateParameters,
            locationName: "cmafPackage"
        },
        DashPackage: {
            shape: _DashPackage_1._DashPackage,
            locationName: "dashPackage"
        },
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        },
        HlsPackage: {
            shape: _HlsPackage_1._HlsPackage,
            locationName: "hlsPackage"
        },
        Id: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "id"
        },
        ManifestName: {
            shape: {
                type: "string"
            },
            locationName: "manifestName"
        },
        MssPackage: {
            shape: _MssPackage_1._MssPackage,
            locationName: "mssPackage"
        },
        StartoverWindowSeconds: {
            shape: {
                type: "integer"
            },
            locationName: "startoverWindowSeconds"
        },
        TimeDelaySeconds: {
            shape: {
                type: "integer"
            },
            locationName: "timeDelaySeconds"
        },
        Whitelist: {
            shape: ___listOf__string_1.___listOf__string,
            locationName: "whitelist"
        }
    }
};
//# sourceMappingURL=UpdateOriginEndpointInput.js.map