"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _CmafPackage_1 = require("./_CmafPackage");
var _DashPackage_1 = require("./_DashPackage");
var _HlsPackage_1 = require("./_HlsPackage");
var _MssPackage_1 = require("./_MssPackage");
var _Tags_1 = require("./_Tags");
var ___listOf__string_1 = require("./___listOf__string");
exports.UpdateOriginEndpointOutput = {
    type: "structure",
    required: [],
    members: {
        Arn: {
            shape: {
                type: "string"
            },
            locationName: "arn"
        },
        ChannelId: {
            shape: {
                type: "string"
            },
            locationName: "channelId"
        },
        CmafPackage: {
            shape: _CmafPackage_1._CmafPackage,
            locationName: "cmafPackage"
        },
        DashPackage: {
            shape: _DashPackage_1._DashPackage,
            locationName: "dashPackage"
        },
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        },
        HlsPackage: {
            shape: _HlsPackage_1._HlsPackage,
            locationName: "hlsPackage"
        },
        Id: {
            shape: {
                type: "string"
            },
            locationName: "id"
        },
        ManifestName: {
            shape: {
                type: "string"
            },
            locationName: "manifestName"
        },
        MssPackage: {
            shape: _MssPackage_1._MssPackage,
            locationName: "mssPackage"
        },
        StartoverWindowSeconds: {
            shape: {
                type: "integer"
            },
            locationName: "startoverWindowSeconds"
        },
        Tags: {
            shape: _Tags_1._Tags,
            locationName: "tags"
        },
        TimeDelaySeconds: {
            shape: {
                type: "integer"
            },
            locationName: "timeDelaySeconds"
        },
        Url: {
            shape: {
                type: "string"
            },
            locationName: "url"
        },
        Whitelist: {
            shape: ___listOf__string_1.___listOf__string,
            locationName: "whitelist"
        }
    }
};
//# sourceMappingURL=UpdateOriginEndpointOutput.js.map