"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AdTriggers_1 = require("./_AdTriggers");
var _DashEncryption_1 = require("./_DashEncryption");
var ___listOf__PeriodTriggersElement_1 = require("./___listOf__PeriodTriggersElement");
var _StreamSelection_1 = require("./_StreamSelection");
exports._DashPackage = {
    type: "structure",
    required: [],
    members: {
        AdTriggers: {
            shape: _AdTriggers_1._AdTriggers,
            locationName: "adTriggers"
        },
        AdsOnDeliveryRestrictions: {
            shape: {
                type: "string"
            },
            locationName: "adsOnDeliveryRestrictions"
        },
        Encryption: {
            shape: _DashEncryption_1._DashEncryption,
            locationName: "encryption"
        },
        ManifestLayout: {
            shape: {
                type: "string"
            },
            locationName: "manifestLayout"
        },
        ManifestWindowSeconds: {
            shape: {
                type: "integer"
            },
            locationName: "manifestWindowSeconds"
        },
        MinBufferTimeSeconds: {
            shape: {
                type: "integer"
            },
            locationName: "minBufferTimeSeconds"
        },
        MinUpdatePeriodSeconds: {
            shape: {
                type: "integer"
            },
            locationName: "minUpdatePeriodSeconds"
        },
        PeriodTriggers: {
            shape: ___listOf__PeriodTriggersElement_1.___listOf__PeriodTriggersElement,
            locationName: "periodTriggers"
        },
        Profile: {
            shape: {
                type: "string"
            },
            locationName: "profile"
        },
        SegmentDurationSeconds: {
            shape: {
                type: "integer"
            },
            locationName: "segmentDurationSeconds"
        },
        SegmentTemplateFormat: {
            shape: {
                type: "string"
            },
            locationName: "segmentTemplateFormat"
        },
        StreamSelection: {
            shape: _StreamSelection_1._StreamSelection,
            locationName: "streamSelection"
        },
        SuggestedPresentationDelaySeconds: {
            shape: {
                type: "integer"
            },
            locationName: "suggestedPresentationDelaySeconds"
        }
    }
};
//# sourceMappingURL=_DashPackage.js.map