"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListChannels_1 = require("../model/operations/ListChannels");
var ListChannelsCommand = /** @class */ (function () {
    function ListChannelsCommand(input) {
        this.input = input;
        this.model = ListChannels_1.ListChannels;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListChannelsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListChannelsCommand;
}());
exports.ListChannelsCommand = ListChannelsCommand;
//# sourceMappingURL=ListChannelsCommand.js.map